Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLDataSetWriter Class Reference

`#include <vtkXMLDataSetWriter.h>`

Inheritance diagram for vtkXMLDataSetWriter:

[legend]
Collaboration diagram for vtkXMLDataSetWriter:

[legend]
List of all members.

## Detailed Description

Write any type of VTK XML file.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLDataSetWriter is a wrapper around the VTK XML file format writers. Given an input vtkDataSet, the correct writer is automatically selected based on the type of input.

See also:
  vtkXMLImageDataWriter vtkXMLStructuredGridWriter vtkXMLRectilinearGridWriter vtkXMLPolyDataWriter vtkXMLUnstructuredGridWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLDataSetWriter.h)`
  - .`cxx` (`/IO/vtkXMLDataSetWriter.cxx)`

Tests:
  vtkXMLDataSetWriter (Tests)

Definition at line 50 of file vtkXMLDataSetWriter.h.

## Public Types
typedef vtkXMLWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | Write ()
void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLDataSetWriter * | SafeDownCast (vtkObject *o)
vtkXMLDataSetWriter * | New ()
## Protected Methods
| vtkXMLDataSetWriter ()
| ~vtkXMLDataSetWriter ()
int | WriteData ()
const char * | GetDataSetName ()
const char * | GetDefaultFileExtension ()

## Member Typedef Documentation

typedef vtkXMLWriter vtkXMLDataSetWriter::Superclass

| Reimplemented from vtkXMLWriter. Definition at line 53 of file vtkXMLDataSetWriter.h.

## Constructor & Destructor Documentation

vtkXMLDataSetWriter::vtkXMLDataSetWriter | ( |  | ) | `[protected]`

vtkXMLDataSetWriter::~vtkXMLDataSetWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLDataSetWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLWriter.

int vtkXMLDataSetWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter.

virtual int vtkXMLDataSetWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter.

vtkXMLDataSetWriter* vtkXMLDataSetWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLWriter.

void vtkXMLDataSetWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLWriter.

vtkXMLDataSetWriter* vtkXMLDataSetWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLDataSetWriter::SetInput | ( | vtkDataSet * | input | ) |

| Get/Set the writer's input.

vtkDataSet* vtkXMLDataSetWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

virtual int vtkXMLDataSetWriter::Write | ( |  | ) | `[virtual]`

| Invoke the writer. Returns 1 for success, 0 for failure. Reimplemented from vtkXMLWriter.

int vtkXMLDataSetWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

const char* vtkXMLDataSetWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

const char* vtkXMLDataSetWriter::GetDefaultFileExtension | ( |  | ) | `[protected, virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLDataSetWriter.h